Bug 430381 - preventing dbus-daemon-launch-helper (system_dbusd_t) "execute" to <Unknown>
preventing dbus-daemon-launch-helper (system_dbusd_t) "execute" to <Unknown>
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 02:54 EST by Andrew Farris
Modified: 2008-02-26 17:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Farris 2008-01-27 02:54:42 EST
SELinux is preventing dbus-daemon-lau(/lib/dbus-1/dbus-daemon-launch-helper)
(system_dbusd_t) "execute" to <Unknown> (consolekit_exec_t).

Detailed Description:

SELinux denied access requested by
dbus-daemon-lau(/lib/dbus-1/dbus-daemon-launch-helper). It is not expected that
this access is required by
dbus-daemon-lau(/lib/dbus-1/dbus-daemon-launch-helper) and this access may
signal an intrusion attempt. It is also possible that the specific version or
configuration of the application is causing it to require additional access.


Additional Information:

Source Context                system_u:system_r:system_dbusd_t:s0
Target Context                system_u:object_r:consolekit_exec_t:s0
Target Objects                None [ file ]
Source                        dbus-daemon-lau(/lib/dbus-1/dbus-daemon-launch-
                              helper)
Port                          <Unknown>
Host                          cirithungol
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.2.5-19.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     cirithungol
Platform                      Linux cirithungol 2.6.24-2.fc9 #1 SMP Fri Jan 25
                              13:14:54 EST 2008 i686 i686
Alert Count                   51
First Seen                    Sat 26 Jan 2008 09:55:19 AM PST
Last Seen                     Sat 26 Jan 2008 03:39:26 PM PST
Local ID                      62afd900-4e3d-4c6d-a8a9-2ca5f6078561
Line Numbers                  

Raw Audit Messages            

host=cirithungol type=AVC msg=audit(1201390766.65:122): avc:  denied  { execute
} for  pid=5670 comm="dbus-daemon-lau" name="console-kit-daemon" dev=sdb6
ino=380221 scontext=system_u:system_r:system_dbusd_t:s0
tcontext=system_u:object_r:consolekit_exec_t:s0 tclass=file

host=cirithungol type=SYSCALL msg=audit(1201390766.65:122): arch=40000003
syscall=11 success=no exit=-13 a0=8621020 a1=8620c80 a2=8620008 a3=a0d99c
items=0 ppid=5669 pid=5670 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0
egid=0 sgid=0 fsgid=0 tty=(none) comm="dbus-daemon-lau"
exe="/lib/dbus-1/dbus-daemon-launch-helper"
subj=system_u:system_r:system_dbusd_t:s0 key=(null)

Seen after making preference changes in various gnome apps, when opening /
closing apps, in particular banshee (the denial triggers once per debug warning
below I think):
 -> banshee
Warning: [1/26/2008 3:41:47 PM] (Cannot connect to NetworkManager) - An
available, working network connection will be assumed
Debug: [1/26/2008 3:41:48 PM] (Loading audio profiles) -
/usr/share/banshee/audio-profiles
Debug: [1/26/2008 3:41:49 PM] (Default player engine) - GStreamer 0.10
Debug: [1/26/2008 3:41:49 PM] (Audio CD Core Initialized) - 
Debug: [1/26/2008 3:41:49 PM] (Testing device for DAP support) -
/org/freedesktop/Hal/devices/volume_uuid_B0606D7C606D49E4
Debug: [1/26/2008 3:41:49 PM] (DAP has not been added) -
/org/freedesktop/Hal/devices/volume_uuid_B0606D7C606D49E4
Debug: [1/26/2008 3:41:49 PM] (Testing device for DAP support) -
/org/freedesktop/Hal/devices/volume_uuid_4308_E473

(and more of the above)
Comment 1 Daniel Walsh 2008-02-26 17:26:33 EST
Fixed in selinux-policy-3.0.8-89.fc8

Note You need to log in before you can comment on or make changes to this bug.